/*
 * Nova thread envia valor para thread main via pthread_exit.
 */
#include <pthread.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>


void g() {
  int r;
  printf("Valor a ser retornado: ");
  scanf("%d", &r);
  pthread_exit((void*) r);
}

void* f_thread(void *v) {
  g();
  return NULL; /* Nunca executado */ 
} 

int main() {
  pthread_t thr;
  void* retorno;

  pthread_create(&thr, NULL, f_thread, NULL);

  pthread_join(thr, (void **) &retorno); 

  printf("Thread encerrou com valor: %p\n", retorno);

  return 0;
}


