/*
 * Criao de uma nova thread. Thread principal termina sem 
 * necessariamente encerrar o programa como um todo. 
 */
#include <pthread.h>
#include <stdio.h>

void* f_thread(void *v) {
  printf("Nova Thread.\n");
  return NULL;
}

int main() {
  pthread_t thr;
  
  if (pthread_create(&thr, NULL, f_thread, NULL))
    fprintf(stderr, "Erro na criao da thread. \n");

  pthread_exit((void*) 5);
  return 0; /* Nunca executado */
}
